Name:           python-bravado
Version:        11.0.3
Release:    3%{?dist}
Summary:        Library for accessing Swagger-enabled API's

License:        BSD-3-Clause
URL:            https://github.com/Yelp/bravado
Source0:         %{url}/archive/v%{version}/bravado-%{version}.tar.gz
Patch0:          0001-Prefer-getfullargspec-instead-of-deprecated-getargspec.patch
Patch1:          0002-Use-standard-library-mock-when-possible.patch
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-httpretty

%global _description %{expand:
Bravado is a Yelp maintained fork of digium/swagger-py for use with OpenAPI
Specification version 2.0 (previously known as Swagger).}


%description %_description


%package -n     python3-bravado
Summary:        %{summary}


%description -n python3-bravado %_description


%prep
%autosetup -n bravado-%{version} -p 1


%generate_buildrequires
%pyproject_buildrequires -x integration-tests


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files bravado


%check
%pytest -v \
    --ignore tests/fido_client \
    --ignore tests/integration/fido_client_test.py \
    tests


%files -n python3-bravado -f %{pyproject_files}
%doc README.rst


%changelog
* Wed Jun 11 2025 bbrucezhang <bbrucezhang@tencent.com> - 11.0.3-3
- Rebuilt for loongarch64

* Wed Jun 11 2025 bbrucezhang <bbrucezhang@tencent.com> - 11.0.3-2
- Rebuilt for loongarch64

* Thu Jun 27 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 11.0.3-1
- initial build
